
#include "common.h"
#include "Sprite.h"
#include "TouchPanel.h"


// スプライト
enum
{
	SPR_PHOTO = 0,			// 背景
	SPR_BALL_BLUE,			// 青ビー玉
	SPR_BALL_GREEN,			// 緑ビー玉
	SPR_BALL_RED,			// 赤ビー玉
	SPR_BALL_YELLOW,		// 黄ビー玉
	SPR_MAX,
};

static sys::Sprite*	sprite;		// スプライト

static int	cnt;				// カウンタ


/************
    初期化
 ************/
void	init_app(void)
{
	struct SprDef
	{
		const char*		tex_name;		// テクスチャファイル名
		SRect			coord;			// UV座標
	};

	static const
	SprDef	spr_def[SPR_MAX] =
			{
				{"photo.pkm",		{  0,   0, 640, 960}},		// 背景
				{"biidama.png",		{  0,   0,  60,  60}},		// 青ビー玉
				{"biidama.png",		{ 60,   0,  60,  60}},		// 緑ビー玉
				{"biidama.png",		{  0,  60,  60,  60}},		// 赤ビー玉
				{"biidama.png",		{ 60,  60,  60,  60}},		// 黄ビー玉
			};

	sprite = new sys::Sprite[SPR_MAX];				// スプライト初期化
	for (int i = 0; i < SPR_MAX; i++) {
		sprite[i].set(sys::TexCache::RES_ASSET, spr_def[i].tex_name, &spr_def[i].coord);
	}

	cnt = 0;			// カウンタ
}

/**********
    終了
 **********/
void	quit_app(void)
{
	delete[]	sprite;
}

/******************************
    稼働
		戻り値	アプリ続行か
 ******************************/
Bool	update_app(void)
{
	sprite[SPR_PHOTO].draw(0.0f, 0.0f);			// 背景

	for (int i = 0; i < sys::TouchManager::TOUCH_MAX; i++) {			// タッチパネルテスト
		if ( sys::TouchPanel[i].flag & sys::TouchManager::TOUCH ) {
			sprite[SPR_BALL_BLUE + (i % 4)].draw(sys::TouchPanel[i].x, sys::TouchPanel[i].y, 3.0f + sinf((cnt % 60)*M_PI*2/60)*2.0f);
		}
	}
	cnt++;

	return	TRUE;
}

/**************
    一時停止
 **************/
void	pause_app(void)
{
}

/**********
    再開
 **********/
void	resume_app(void)
{
}

/**************** End of File *************************************************/